## gnome-software 3.20.5

=== debian/changelog ===
gnome-software (3.20.5-0ubuntu0.16.04.13) xenial; urgency=medium

  * debian/patches/0020-Add-a-basic-permissions-system.patch:
  * debian/patches/0021-Add-a-Snap-plugin.patch:
    - Fix interface connections not showing correct state (LP: #1806697)
    - Use new banner format (LP: #1844799)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 15 Nov 2019 14:24:45 +1300

gnome-software (3.20.5-0ubuntu0.16.04.12) xenial; urgency=medium

  * debian/patches/0001-Fix-potential-crash-when-icons-are-missing.patch:
    - Fix crash loading icons (LP: #1778135)
  * debian/patches/0020-Add-a-basic-permissions-system.patch:
    - Fix crash when have plugs with multiple slots available (LP: #1778160)
  * debian/patches/0021-Add-a-Snap-plugin.patch
    - Fix some command line warnings (LP: #1790563)
    - Use new snapd media API (LP: #1799614)
    - Allow connections on the u2f-devices interface (LP: #1738164)
  * debian/patches/0053-Don-t-reject-unexpected-state-changes-external-event.patch:
    - Fix snaps not being shown correctly after install from command line
      (LP: #1754655)
  * debian/patches/0054-Show-verified-developers.patch:
    - Show verified developers (LP: #1789336)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 17 Apr 2019 14:39:52 +1200

gnome-software (3.20.5-0ubuntu0.16.04.11) xenial; urgency=medium

  * debian/patches/0019-Support-channels.patch:
    - Make snap channel selection list scrollable (LP: #1768779)
  * debian/patches/0020-Add-a-basic-permission-system.patch
  * debian/patches/0021-Add-a-Snap-plugin.patch
    - Correctly handle snap install/remove failures (LP: #1762427)
    - Fix snaps without icons not showing (LP: #1763736)
    - Add basic system for connecting/disconnecting snap interfaces
      (LP: #1597314)
    - Alphabetically sort channel branch names (LP: #1769556)
  * debian/patches/0050-snap-Support-channels.patch:
    - Fix incorrect default install version being shown (LP: #1767445)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 May 2018 12:02:36 +1200

gnome-software (3.20.5-0ubuntu0.16.04.10) xenial; urgency=medium

  * debian/patches/0020-Add-a-Snap-plugin.patch:
  * debian/patches/0015-Don-t-reject-unexpected-state-changes-external-event.patch:
    - Correctly launch snaps with multiple apps (LP: #1661590)
    - Fix snaps not being shown correctly after install from command line
      (LP: #1754655)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 28 Mar 2018 17:04:55 +1300

gnome-software (3.20.5-0ubuntu0.16.04.9) xenial; urgency=medium

  * debian/patches/0001-Make-app-name-sorting-case-insensitive.patch:
  * debian/patches/0018-Add-a-Snap-plugin.patch:
    - Show snaps in categories (LP: #1665126)
  * debian/patches/0001-trivial-Include-the-fwupd-version-in-the-useragent.patch:
    - Report fwupd version in user agent (LP: #1750030)
  * debian/patches/0050-snap-Support-channels.patch:
    - Support channels (LP: #1750288)
  * debian/README.source:
    - Update git repository to point to gitlab.gnome.org

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 19 Feb 2018 15:34:39 +1300

gnome-software (3.20.5-0ubuntu0.16.04.8) xenial-proposed; urgency=medium

  [ Robert Ancell ]
  * debian/patches/0018-Add-a-Snap-plugin.patch,
    debian/patches/0018-Backport-GS_APP_KUDO_SANDBOXED.patch,
    debian/patches/0048-Display-a-warning-for-non-sandboxed-snaps.patch:
    - Support installing of classic confined snaps (LP: #1690280)
  * debian/patches/0001-trivial-Fix-CSS-validation-warning.patch:
    - Upstream fix, previously included in 0011-Fix-a-couple-of-CSS-errors
  * debian/patches/0011-Fix-a-couple-of-CSS-errors.patch
    - Refreshed, part of this was merged upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 19 Jan 2018 11:01:07 -0500

gnome-software (3.20.5-0ubuntu0.16.04.7) xenial; urgency=medium

  * debian/patches/0016-Add-a-dpkg-plugin.patch:
  * debian/patches/0017-Add-an-APT-plugin.patch:
    - Fix overflow showing installed size (LP: #1713586)
  * debian/patches/0047-Use-the-developer-name-if-set-in-preference-to-the-p.patch:
    - Backport support for showing developer name
  * debian/patches/0018-Add-a-Snap-plugin.patch:
    - Show snap developer (LP: #1715054)
    - Set correct store name (LP: #1706500)
    - Show license field
    - Send Polkit interactive header (LP: #1736232)
    - Fix crash due to multiple threads accessing a cache (LP: #1716633)
  * debian/patches/0001-ubuntu-reviews-Fix-Wilson-score-calculation.patch:
    - Fix average rating calculation (LP: #1721419)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Dec 2017 10:36:16 +1300

gnome-software (3.20.5-0ubuntu0.16.04.6) xenial; urgency=medium

  * debian/patches/0001-Add-gs_app_set_local_file.patch:
  * debian/patches/0017-Add-an-APT-plugin.patch:
    - Fix being unable to load .deb files (LP: #1708936)
  * debian/patches/0018-Add-a-Snap-plugin.patch:
    - Fix icons larger than 65kB not loading (LP: #1704888)
    - Stop 'core' snap showing as an app (LP: #1704904)
    - Use new title field from snapd (LP: #1555569)
  * debian/patches/0045-Don-t-generate-popular-apps-from-Ubuntu-reviews.patch:
  * debian/patches/0046-snap-Use-first-featured-snap-as-featured-app.patch
  * debian/patches/0047-snap-Only-feature-snaps.patch
  * debian/patches/0048-Don-t-randomize-editors-picks.patch
    - Only show snaps in "Editor's picks" (LP: #1705953)
    - Show snap in "Featured" section (LP: #1706478)
  * debian/patches/0049-snap-Replace-libsoup-icon-loading-code-with-AsIcon.patch
    - Fix crash loading cached icons (LP: #1708140)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Aug 2017 12:19:14 +1200

gnome-software (3.20.5-0ubuntu0.16.04.5) xenial; urgency=medium

  * debian/patches/0018-Add-a-Snap-plugin.patch:
    - Fix crash when failing to load icons from cache (LP: #1702122)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 12 Jul 2017 16:24:08 +1200

gnome-software (3.20.5-0ubuntu0.16.04.4) xenial; urgency=medium


