=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: appstream,
               appstream-util,
               debhelper (>= 9.0.0),
               dh-autoreconf,
               docbook-xsl,
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               gsettings-desktop-schemas-dev (>= 3.18),
               intltool (>= 0.35.0),
               libappstream-glib-dev (>= 0.5.11),
               libapt-pkg-dev (>= 1.2),
               libgdk-pixbuf2.0-dev (>= 2.31.5),
               libglib2.0-dev (>= 2.46.0),
               libgnome-desktop-3-dev (>= 3.18),
               libgtk-3-dev (>= 3.18.2),
               libgtkspell3-3-dev,
               libjson-glib-dev (>= 1.1.1),
               liboauth-dev,
               libpolkit-gobject-1-dev,
               libsecret-1-dev,
               libsoup2.4-dev (>= 2.52),
               libsnapd-glib-dev,
               libsqlite3-dev,
               libfwupd-dev,
               libxml2-utils,
               pkg-config,
               xsltproc
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Software
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-xenial

Package: ubuntu-software
Architecture: any
Depends: gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Utility for browsing, installing, and removing software
 Ubuntu Software lets you browse and install the applications available for 
 Ubuntu. You can view available software by category, or search by name 
 or description. You can also examine the software already installed, and 
 remove items you no longer need.
 .
 To install or remove software using Ubuntu Software, you need administrator 
 access on the computer.

Package: gnome-software
Architecture: any
Depends: appstream,
         aptdaemon,
         gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debconf,
            libgtk2-perl
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architectures independent files
