=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-software/([\d\.]+[02468])/gnome-software-(.*)\.tar\.xz
