## gnome-software 3.22.5

=== debian/changelog ===
gnome-software (3.22.5-1) unstable; urgency=medium

  * New upstream bugfix release: 3.22.5
  * Add support for the PureOS Debian derivative
  * Explicitly enable AppStream icon download in APT
    - With a recent change in Debian's AppStream support,
      GUI frontends which need icons have to enable their
      download explicitly.

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 Jan 2017 19:06:34 +0100

gnome-software (3.22.4-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/gnome-software.gsettings-override.in, debian/rules:
    - Use Ubuntu's licensing URL when built on Ubuntu
  * debian/rules:
    - Enable Ubuntu Reviews on Ubuntu

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libappstream-glib-dev and libflatpak-dev build-dependencies
    - Drop debian/patches/01_pkgname-sanity.patch and
      debian/patches/02_packagekit-linking.patch, applied upstream
    - Disable gnome-software-plugin-snap package, it now requires snapd-glib
      which is not in debian yet

 -- Laurent Bigonville <bigon@debian.org>  Mon, 12 Dec 2016 11:46:39 +0100

gnome-software (3.22.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Deconfuse build vs. host. (Closes: #839878)

  [ Matthias Klumpp ]
  * New upstream bugfix release: 3.22.1
  * Make Snappy/Snap plugin available as separate package
  * packagekit-linking.patch: Fix PackageKit underlinking
  * pkgname-sanity.patch: Never pass broken pkgnames to PackageKit for resolving
    - Closes: #840654
    - Closes: #839736
    - Closes: #827723 - if we are lucky.
  * Depend on software-properties-gtk (Closes: #840368)
    - We can do that now, since s-p-g switched to using PackageKit too.

 -- Matthias Klumpp <mak@debian.org>  Sat, 22 Oct 2016 16:32:42 +0200

gnome-software (3.22.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Add debian/docs to install NEWS
  * Use separate packages for flatpak and limba plugins
  * debian/control.in:
    - Update Vcs links
    - Build-depend on autoconf-archive
    - Have gnome-software suggest flatpak and limba plugins
    - Bump build-dependencies based on configure.ac
  * debian/rules:
    - Build with autoreconf

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.

  [ Simon McVittie ]
  * New upstream release: 3.22.0
    - This release closes upstream bugs
      + Closes: #838200
      + Closes: #829975
      + Closes: #836919
    - build-depend on libappstream-glib-dev (>= 0.6.2) to get all mandatory
      and optional functionality
    - build-depend on libflatpak-dev and enable Flatpak
    - build-depend on libsecret-1-dev
    - build-depend on gudev on linux-any
    - bump Gtk build-dependency
    - explicitly disable OSTree support for now, OSTree in Debian is not
      ready to be used for OS deployment
    - d/p/01_debian-dfsg.patch: remove, the same result can be achieved
      with GSettings now
    - d/gnome-software.gsettings-override.in: consider the 'main'
      component to be Free Software (Ubuntu will likely want to patch this
      to do the same for universe)

  [ Matthias Klumpp ]
  * Explicitly enable PackageKit, gnome-desktop support
  * Small tweaks for debian/rules
  * Make package binNMUable again
  * Bump PackageKit dependency to >= 1.1.4 (Closes: #823989)
  * Update d/copyright

 -- Matthias Klumpp <mak@debian.org>  Thu, 22 Sep 2016 20:48:42 +0200

gnome-software (3.20.2-2) unstable; urgency=medium

  * debian/rules: Do not use -X parameter for dh_install, some files were not
    installed as expected.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Apr 2016 14:26:44 +0200

gnome-software (3.20.2-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream release: 3.20.2
  * Enable the (alpha) Open Desktop Review Service (ODRS) feature
  * Update dependencies:
    - Bump libpackagekit-glib2-dev (>= 1.1)
    - Bump libappstream-glib-dev (>= 0.5.14)
    - Bump liblimba-dev (>= 0.5.6)
    - Add libjson-glib-dev
    - Add libgtkspell3-3-dev (>= 3.0)
  * Drop patches: Applied upstream
  * Add Debian DFSG plugin to set license information
    - See debian-dfsg.patch
    - In case we don't know if a software is free or not based on the license
      data it supplies, we set it as free based on it originating from "main".
  * Set provenance for Debian

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.

 -- Matthias Klumpp <mak@debian.org>  Mon, 25 Apr 2016 18:12:18 +0200
