## gnome-software 3.22.7

=== debian/changelog ===
gnome-software (3.22.7-0ubuntu3.17.04.8) zesty; urgency=medium

  * debian/patches/0001-snap-Protect-store-cache-with-a-lock.patch:
    - Fix crash due to multiple threads accessing a cache (LP: #1716633)
  * debian/patches/0001-snap-Don-t-attempt-to-refine-snaps-without-a-valid-n.patch:
    - Fix potential crash from invalid snaps
  * debian/patches/0001-snap-Fix-leak-of-GsApp.patch:
    - Fix small memory leak
  * debian/patches/0001-snap-Only-show-snaps-as-sandboxed-if-snapd-supports-.patch:
    - Simple patch added to make above patches apply cleanly
  * debian/patches/0001-snap-Cancel-snapd-transaction-when-install-remove-ca.patch:
  * debian/patches/0001-snap-Generate-correct-error-for-cancelled-operations.patch:
    - Abort change in snapd when install/remove cancelled (LP: #1721762)     
  * debian/patches/0022-snap-Use-new-Polkit-API.patch:
    - Send Polkit interactive header (LP: #1736232)
  * debian/patches/0023-snap-Support-new-snapd-license-field.patch
    - Show license field (not yet supported by Ubuntu Store / snaps)
  * debian/patches/0024-Use-the-developer-name-if-set-in-preference-to-the-p.patch:
  * debian/patches/0025-snap-Use-developer-field.patch
    - Show snap developer (LP: #1715054)
  * debian/patches/0026-snap-Correct-the-app-origin.patch:
    - Set correct store name (LP: #1706500)    

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Dec 2017 10:37:25 +1300

gnome-software (3.22.7-0ubuntu3.17.04.7) zesty; urgency=medium

  * debian/patches/0001-snap-Use-title-field-if-available.patch:
    - Use new title field from snapd (LP: #1555569)
  * debian/patches/0001-snap-Remove-size-limit-on-snap-responses.patch:
  * debian/patches/0002-snap-Fix-failures-to-read-from-snapd.patch:
    - Fix icons larger than 65kB not loading (LP: #1704888)
  * debian/patches/0001-snap-Mark-non-app-snaps-as-runtimes.patch:
    - Stop 'core' snap showing as an app (LP: #1704904)
  * debian/patches/0001-snap-Fix-crash-when-fail-to-use-icon-from-cache.patch:
    - Add to debian/patches/series - was not enabled in last release
  * debian/patches/0001-snap-Replace-libsoup-icon-loading-code-with-AsIcon.patch:
    - Fix crash loading cached icons (LP: #1708140)
  * debian/patches/0001-snap-Run-before-hardcoded-popular-plugin.patch:
  * debian/patches/0018-Make-gs_app_list_filter_duplicates-not-change-app-or.patch:
  * debian/patches/0019-snap-Use-first-featured-snap-as-featured-app.patch:
  * debian/patches/0020-snap-Only-feature-snaps.patch:
  * debian/patches/0021-Don-t-randomize-editors-picks.patch:
    - Only show snaps in "Editor's picks" (LP: #1705953)
    - Show snap in "Featured" section (LP: #1706478)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Aug 2017 13:46:31 +1200

gnome-software (3.22.7-0ubuntu3.17.04.6) zesty; urgency=medium

  * 0001-snap-Fix-crash-when-fail-to-use-icon-from-cache.patch:
    - Fix crash when failing to load icons from cache (LP: #1702122)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 12 Jul 2017 16:45:03 +1200

gnome-software (3.22.7-0ubuntu3.17.04.5) zesty; urgency=medium

  * debian/patches/0001-snap-Fix-icons-not-being-converted-to-pixbufs.patch:
    - Fix snaps without icons not showing reliably (LP: #1697565)
  * debian/patches/0001-snap-Backport-fixes-from-master.patch:
    - Show featured snaps (LP: #1663097)
  * debian/patches/0017-Use-snap-name-field-for-app-name.patch:
    - Dropped, merged into above patch

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 Jun 2017 13:42:12 +1200

gnome-software (3.22.7-0ubuntu3.17.04.4) zesty; urgency=medium

  * debian/patches/0006-Add-an-APT-plugin.patch:
    - Handle multiple debconf connections (LP: #1688721)
  * debian/patches/0018-Limit-search-entry-to-100-characters.patch:
    - Limit search entry in case of accidental input (LP: #1692398)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 24 May 2017 09:19:07 +1200

gnome-software (3.22.7-0ubuntu3.17.04.3) zesty; urgency=medium

  * debian/patches/0002-Add-an-APT-plugin.patch:
    - Fix crash when debconf socket fails (LP: #1689425)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 09 May 2017 16:41:57 +1200

gnome-software (3.22.7-0ubuntu3.17.04.2) zesty; urgency=medium

  * debian/patches/0017-Use-snap-name-field-for-app-name.patch:
    - Use the snap name field for app names (LP: #1688407)
  * debian/control:
    - Set Vcs-Bzr link

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 05 May 2017 10:21:21 +1200

gnome-software (3.22.7-0ubuntu3.17.04.1) zesty; urgency=medium

  * debian/patches/0002-Add-an-APT-plugin.patch:
    - Support debconf prompts (LP: #1679435)
  * debian/patches/0015-dpkg-Mark-local-.debs-as-managed-by-APT.patch:
  * debian/patches/0016-Make-filename-passed-with-local-filename-absolute.patch:
    - Fix local .deb files not being installable: (LP: #1672424)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 26 Apr 2017 15:47:47 +1200

gnome-software (3.22.7-0ubuntu3) zesty; urgency=medium

  * Make gnome-software Recommend: libgtk2-perl, without which debconf
    prompts from packages can never be shown.  LP: #1679435.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Apr 2017 13:29:18 -0700

gnome-software (3.22.7-0ubuntu2) zesty; urgency=medium

  * Explicitly disable packagekit. The packagekit dbus service that
    was being installed broke sessioninstaller's ability to install
    codecs. Thanks seb128 for identifying the root cause. (LP: #1661371)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Mar 2017 09:20:38 -0400

gnome-software (3.22.7-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2017 10:00:52 -0400

gnome-software (3.22.6-0ubuntu2) zesty; urgency=medium

  * debian/patches/0014-snap-URL.patch:
    - Add handler for snap:// URLs (LP: #1621971)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 14 Mar 2017 12:36:41 +1300

gnome-software (3.22.6-0ubuntu1) zesty; urgency=medium


