=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>,
-           Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+           Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: appstream,
                appstream-util,
                autoconf-archive,
@@ -18,6 +19,7 @@
                gsettings-desktop-schemas-dev (>= 3.18),
                intltool (>= 0.35.0),
                libappstream-glib-dev (>= 0.6.5),
+               libapt-pkg-dev (>= 1.2),
                libflatpak-dev (>= 0.6.12) [linux-any],
                libfwupd-dev (>= 0.7) [amd64 arm64 armhf i386],
                libglib2.0-dev (>= 2.46),
@@ -32,19 +34,21 @@
                libpolkit-gobject-1-dev,
                libsecret-1-dev,
                libsoup2.4-dev (>= 2.52),
+               libsnapd-glib-dev,
                libsqlite3-dev,
                libxml2-utils,
                pkg-config,
                xsltproc
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Software
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-software/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-software/
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-software/ubuntu-zesty
 
 Package: gnome-software
 Architecture: any
 Depends: appstream,
+         aptdaemon,
          gnome-software-common (= ${source:Version}),
+         gnome-software-plugin-snap [linux-any],
          gsettings-desktop-schemas (>= 3.18),
          packagekit (>= 1.1.4),
          software-properties-gtk,
@@ -52,6 +56,7 @@
          ${shlibs:Depends}
 Replaces: gnome-packagekit-session (<< 3.16.0-2~)
 Breaks: gnome-packagekit-session (<< 3.16.0-2~)
+Recommends: libgtk2-perl
 Suggests: fwupd [amd64 arm64 armhf i386],
           gnome-software-plugin-flatpak [linux-any],
           gnome-software-plugin-limba [linux-any]
@@ -115,23 +120,23 @@
  .
  This package contains the Limba plugin.
 
-#Package: gnome-software-plugin-snap
-#Architecture: linux-any
-#Depends: gnome-software (= ${binary:Version}),
-#         ${misc:Depends},
-#         ${shlibs:Depends}
-#Breaks: gnome-software (<< 3.21.92)
-#Replaces: gnome-software (<< 3.21.92)
-#Description: Snap support for GNOME Software
-# Software lets you install and update applications and system extensions.
-# .
-# Software uses a plugin architecture to separate the frontend from the
-# technologies that are used underneath. Currently, a PackageKit plugin provides
-# data from a number of traditional packaging systems, such as rpm or apt. An
-# appdata plugin provides additional metadata from locally installed data in the
-# appdata format.
-# .
-# This package contains the Snap plugin.
+Package: gnome-software-plugin-snap
+Architecture: linux-any
+Depends: gnome-software (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: gnome-software (<< 3.22.3)
+Replaces: gnome-software (<< 3.22.3)
+Description: Snap support for GNOME Software
+ Software lets you install and update applications and system extensions.
+ .
+ Software uses a plugin architecture to separate the frontend from the
+ technologies that are used underneath. Currently, a PackageKit plugin provides
+ data from a number of traditional packaging systems, such as rpm or apt. An
+ appdata plugin provides additional metadata from locally installed data in the
+ appdata format.
+ .
+ This package contains the Snap plugin.
 
 Package: gnome-packagekit-session
 Architecture: all
@@ -145,3 +150,17 @@
  .
  The PackageKit session interface is no separate component anymore, but built
  into GNOME-Software.
+
+Package: ubuntu-software
+Architecture: all
+Depends: gnome-software (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Utility for browsing, installing, and removing software
+ Ubuntu Software lets you browse and install the applications available for 
+ Ubuntu. You can view available software by category, or search by name 
+ or description. You can also examine the software already installed, and 
+ remove items you no longer need.
+ .
+ To install or remove software using Ubuntu Software, you need administrator 
+ access on the computer.
