=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 GS_CONFIGURE_FLAGS = --libdir=/usr/lib \
 		--disable-ostree \
 		--enable-odrs \
-		--enable-packagekit \
+		--disable-packagekit \
 		--enable-gnome-desktop
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
@@ -33,11 +33,18 @@
 # Install target dir
 INSTALLDIR = $(CURDIR)/debian/tmp
 
+# Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
+export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
+
 %:
 	dh $@ --with autoreconf,gnome
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)
+
+override_dh_auto_build:
+	cp debian/ubuntu-one.png src/plugins
+	dh_auto_build
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
@@ -50,7 +57,7 @@
 	sed -i 's/@URL@/$(FREE_URL)/g' debian/gnome-software.gsettings-override
 	dh_installgsettings
 
-override_dh_install:
+override_dh_install-arch:
 	# Remove unused files
 	rm -f debian/tmp/usr/lib/gs-plugins-*/*.a
 	rm -f debian/tmp/usr/lib/gs-plugins-*/*.la
@@ -63,6 +70,13 @@
 	rm -f debian/gnome-software/usr/lib/gs-plugins-*/libgs_plugin_ostree*
 	rm -f debian/gnome-software/usr/lib/gs-plugins-*/libgs_plugin_snap*
 
+override_dh_install-indep:
+	# Change the name and icon for Unity sessions
+	# Also needs override_dh_install renamed to override_dh_install-arch
+	dh_install
+	sed -i 's/Name=Software/Name=Ubuntu Software/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
+	sed -i 's/Icon=org.gnome.Software/Icon=ubuntusoftware/' debian/ubuntu-software/usr/share/ubuntu/applications/org.gnome.Software.desktop
+
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibgs_plugin
